> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Execution Artifacts

> Lists files produced during an execution (generated artifacts and downloaded
files), each with a pre-signed `downloadUrl`.




## OpenAPI

````yaml /openapi.yaml get /v1/executions/{executionId}/artifacts
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/executions/{executionId}/artifacts:
    get:
      tags:
        - Executions
      summary: List Execution Artifacts
      description: >
        Lists files produced during an execution (generated artifacts and
        downloaded

        files), each with a pre-signed `downloadUrl`.
      parameters:
        - name: executionId
          in: path
          required: true
          description: The execution result ID.
          schema:
            type: string
      responses:
        '200':
          description: Execution artifacts retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  artifacts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        fileName:
                          type: string
                        filePath:
                          type: string
                        size:
                          type: number
                          nullable: true
                          description: File size in bytes.
                        createdAt:
                          type: string
                          nullable: true
                        downloadUrl:
                          type: string
                          description: Pre-signed download URL.
                        type:
                          type: string
                          enum:
                            - artifact
                            - download
        '404':
          description: Execution not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
        '500':
          description: Failed to get execution artifacts.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````